package com.zhiwei.manage.dao;

import java.util.List;

import org.springframework.stereotype.Component;

import com.zhiwei.manage.bean.Template;
@Component
public interface TemplateDao {

	public boolean insert(Template template);

	public boolean update(Template template);

	public List<Template> findAll(int pageNo,int pageSize,String pt);

	public Template findById(String templateId,String pt);

	public List<Template> findByTmpName(String templateName,int pageNo,int pageSize,String pt);

	public boolean delete(String templateId,String pt);
	
	public int allCount(String pt);
	
	public int findByUserCount(String templateName,String pt);

}
